Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Grant

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Proc
              org.basex.core.proc.Grant

    public final class Grant

extends Proc

Evaluates the 'grant' command and grants permissions to users.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Proc
`DATAREF, flags, STANDARD`

Constructor Summary
`Grant(Object perm, String name)` Default constructor.
`Grant(Object perm, String name, String db)` Constructor, specifying a certain database.

Method Summary
`String` | `toString()` Returns a string representation of the process.

Methods inherited from class org.basex.core.Proc
`exec, exec, execute, execute, info, result, updating`

Methods inherited from class org.basex.core.Progress
`abort, checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Grant

    public Grant(Object perm,
                 String name)

  Default constructor.

  Parameters:
    `perm` - permission
    `name` - user name

### Grant

    public Grant(Object perm,
                 String name,
                 String db)

  Constructor, specifying a certain database.

  Parameters:
    `perm` - permission
    `name` - user name
    `db` - database

Method Detail

### toString

    public String toString()

  Description copied from class: `Proc`
  Returns a string representation of the process. In the client/server architecture, this string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Proc`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD